Bug 139191 - Installer aborts with "IndexError: list index out of range" when determining packages.
Installer aborts with "IndexError: list index out of range" when determining ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 16:18 EST by Martin Nichol
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 10:13:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda debug dump (335.74 KB, text/plain)
2004-11-13 16:20 EST, Martin Nichol
no flags Details

  None (edit)
Description Martin Nichol 2004-11-13 16:18:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.4.1)
Gecko/20031114

Description of problem:
Upgrade a machine with FC1, kept updated with yum, to FC3.

It gets to the point where it determines packages and then aborts with
this:

Traceback (most recent call last):
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/gui.py",
line 789, in nextClicked
    self.dispatch.gotoNext()
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 171, in gotoNext
    self.moveStep()
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/upgrade.py",
line 346, in upgradeFindPackages
    method.mergeFullHeaders(id.grpset.hdrlist)
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/image.py", line
126, in mergeFullHeaders
    hdlist.mergeFullHeaders("%s/%s/base/hdlist2" % (self.tree,
productPath))
  File "/usr/lib/anaconda/hdrlist.py", line 343, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
IndexError: list index out of range

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from FC3 CDROM
2. Choose graphical install, US English, US Keyboard.
3. Begin installation.
    

Additional info:
Comment 1 Martin Nichol 2004-11-13 16:20:12 EST
Created attachment 106650 [details]
anaconda debug dump

As generated by the "Save to Disk" option.
Comment 2 Jeremy Katz 2004-11-15 10:13:05 EST
There are multiple media errors reading from your CD.  Please reburn
your media (a lower speed might help) and try again.  

<4>hdc: media error (bad sector): status=0x51 { DriveReady
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x30

Note You need to log in before you can comment on or make changes to this bug.